Retrieve a break definition
Returns a single break definitions record by its internal ID.
Tip
Check the Swagger page for more technical information on the endpoints.
Endpoint details
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/break-definitions/{breakDefinitionReference}
Headers: Authorization: Bearer {token}, User-Agent: {agent}
Scope: connector-protimeapi-break-definitions.read
URL parameters
| Parameter | Description |
|---|---|
<breakDefinitionReference> |
The internal ID or external reference of the break definition. |
Response properties
| Field | Type | Required | Writable | Description |
|---|---|---|---|---|
changeVersion |
string | — | Read-only | Property to indicate the order of changes. |
id |
integer | — | Read-only | Internal unique identifier for the break definition. |
name.default |
string | — | Read-only | Default name value of the break definition. |
name.translations |
object | — | Read-only | A list of translated names of the definition by language code. |
friendlyName.default |
string | — | Read-only | Default friendly name value for this definition shown to users. |
friendlyName.translations |
object | — | Read-only | A list of translated friendly names by language code. |
paidDurationInMinutes |
integer | — | Read-only | The paid duration of the break in minutes. |
minimumDurationInMinutes |
integer | — | Read-only | The minimum duration required for the break in minutes. |
maximumDurationInMinutes |
integer | — | Read-only | The maximum duration allowed for the break in minutes. |
ifNotClockedDurationInMinutes |
integer | — | Read-only | The time that is calculated if no break is taken. In most cases this will be the same as the minimumDurationInMinutes. |
hasToBeTakenUninterrupted |
boolean | — | Read-only | Indicates if the break must be taken without interruption. |
External references
The endpoint supports custom external references. See the external references page for details.
The following collections are supported for this endpoint:
| Collection | Predefined | Custom |
|---|---|---|
break-definitions |
Not available | Supported |
Caution
There are some restrictions on the characters allowed in URL requests. See the fetching resources page for more information.
Error responses
| Status | Condition |
|---|---|
401 |
Missing or invalid access token, or insufficient scope |
404 |
Break definition with the given ID or external reference does not exist |
Examples
Retrieving a break definition by internal ID
Example with internal ID 7:
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/break-definitions/7
With custom external reference
Example with custom external reference MORNING-BREAK:
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/break-definitions/MORNING-BREAK?externalReferences=(break-definitions,customBreakCode)